package fr.eisti.ing1.java.teaching.manager;

import fr.eisti.ing1.java.teaching.data.*;
import java.io.*;
import java.util.Iterator;

public class MakePool {

	private static void afficherPool(Pool pool, PrintStream out, OrderType order) {
		out.println("----------------------------------------------");
		out.println(pool + " :");
		for (Iterator<EistiStudent> it = pool.iterator(order); it.hasNext(); ) {
			EistiStudent student = it.next();
			out.println("   - " + student);
		}
		out.println("----------------------------------------------");
	}

	private static void setRandomRankings(Pool pool) {
		for (EistiStudent student : pool) {
			student.setRanking((new Double(Math.random() * 21.0)).intValue());
		}	
	}

	public static void main(String[] args) {
		if (args.length != 3) {
			System.err.println("Nombre de paramètres insuffisants : "
				+ args.length);
			System.err.println("Usage : ");
			System.err.println("fr.eisti.ing1.java.teaching.manager.Manager <poolName> <fileStudentsIn> <filePoolOut>");
			System.exit(-1);
		}
		try {
			Pool pool = new Pool(args[0],args[1]);
			setRandomRankings(pool);
			afficherPool(pool, System.out, OrderType.ASCENDING);
			afficherPool(pool, new PrintStream(args[2]), OrderType.DESCENDING);
		} catch (Exception e) {
			System.err.println("Something bad happened : " + e.getMessage());
		}
	}

}
